EnderDash

Sync Push

POST
/pwa/push

Authorization

better-auth.session_token<token>

Signed-in EnderDash browser session cookie.

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

previousEndpoint*|null
subscription*|null

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/pwa/push" \  -H "Content-Type: application/json" \  -d '{    "previousEndpoint": "http://example.com",    "subscription": {      "endpoint": "http://example.com",      "expirationTime": 0,      "keys": {        "auth": "string",        "p256dh": "string"      }    }  }'
null